StreamReaderDelegate (XML Standard API)
Date: 2016-02-03

javax.xml.stream.util

## Class StreamReaderDelegate

- java.lang.Object
- - javax.xml.stream.util.StreamReaderDelegate

- All Implemented Interfaces:
    XMLStreamConstants, XMLStreamReader

      public class StreamReaderDelegate
      extends java.lang.Object
      implements XMLStreamReader

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamReaderDelegate()`
    `StreamReaderDelegate(XMLStreamReader reader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `getAttributeCount()`
    `java.lang.String` | `getAttributeLocalName(int index)`
    `QName` | `getAttributeName(int index)`
    `java.lang.String` | `getAttributeNamespace(int index)`
    `java.lang.String` | `getAttributePrefix(int index)`
    `java.lang.String` | `getAttributeType(int index)`
    `java.lang.String` | `getAttributeValue(int index)`
    `java.lang.String` | `getAttributeValue(java.lang.String namespaceURI, java.lang.String localName)`
    `java.lang.String` | `getCharacterEncodingScheme()`
    `java.lang.String` | `getElementText()`
    `java.lang.String` | `getEncoding()`
    `int` | `getEventType()`
    `java.lang.String` | `getLocalName()`
    `Location` | `getLocation()`
    `QName` | `getName()`
    `NamespaceContext` | `getNamespaceContext()`
    `int` | `getNamespaceCount()`
    `java.lang.String` | `getNamespacePrefix(int index)`
    `java.lang.String` | `getNamespaceURI()`
    `java.lang.String` | `getNamespaceURI(int index)`
    `java.lang.String` | `getNamespaceURI(java.lang.String prefix)`
    `XMLStreamReader` | `getParent()`
    `java.lang.String` | `getPIData()`
    `java.lang.String` | `getPITarget()`
    `java.lang.String` | `getPrefix()`
    `java.lang.Object` | `getProperty(java.lang.String name)`
    `java.lang.String` | `getText()`
    `char[]` | `getTextCharacters()`
    `int` | `getTextCharacters(int sourceStart, char[] target, int targetStart, int length)`
    `int` | `getTextLength()`
    `int` | `getTextStart()`
    `java.lang.String` | `getVersion()`
    `boolean` | `hasName()`
    `boolean` | `hasNext()`
    `boolean` | `hasText()`
    `boolean` | `isAttributeSpecified(int index)`
    `boolean` | `isCharacters()`
    `boolean` | `isEndElement()`
    `boolean` | `isStandalone()`
    `boolean` | `isStartElement()`
    `boolean` | `isWhiteSpace()`
    `int` | `next()`
    `int` | `nextTag()`
    `void` | `require(int type, java.lang.String namespaceURI, java.lang.String localName)`
    `void` | `setParent(XMLStreamReader reader)`
    `boolean` | `standaloneSet()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamReaderDelegate

          public StreamReaderDelegate()

    - #### StreamReaderDelegate

          public StreamReaderDelegate(XMLStreamReader reader)

  - ### Method Detail

    - #### setParent

          public void setParent(XMLStreamReader reader)

    - #### getParent

          public XMLStreamReader getParent()

    - #### next

          public int next()
                   throws XMLStreamException

      Specified by:
        `next` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### nextTag

          public int nextTag()
                      throws XMLStreamException

      Specified by:
        `nextTag` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### getElementText

          public java.lang.String getElementText()
                                          throws XMLStreamException

      Specified by:
        `getElementText` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### require

          public void require(int type,
                     java.lang.String namespaceURI,
                     java.lang.String localName)
                       throws XMLStreamException

      Specified by:
        `require` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### hasNext

          public boolean hasNext()
                          throws XMLStreamException

      Specified by:
        `hasNext` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### close

          public void close()
                     throws XMLStreamException

      Specified by:
        `close` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### getNamespaceURI

          public java.lang.String getNamespaceURI(java.lang.String prefix)

      Specified by:
        `getNamespaceURI` in interface `XMLStreamReader`

    - #### getNamespaceContext

          public NamespaceContext getNamespaceContext()

      Specified by:
        `getNamespaceContext` in interface `XMLStreamReader`

    - #### isStartElement

          public boolean isStartElement()

      Specified by:
        `isStartElement` in interface `XMLStreamReader`

    - #### isEndElement

          public boolean isEndElement()

      Specified by:
        `isEndElement` in interface `XMLStreamReader`

    - #### isCharacters

          public boolean isCharacters()

      Specified by:
        `isCharacters` in interface `XMLStreamReader`

    - #### isWhiteSpace

          public boolean isWhiteSpace()

      Specified by:
        `isWhiteSpace` in interface `XMLStreamReader`

    - #### getAttributeValue

          public java.lang.String getAttributeValue(java.lang.String namespaceURI,
                                           java.lang.String localName)

      Specified by:
        `getAttributeValue` in interface `XMLStreamReader`

    - #### getAttributeCount

          public int getAttributeCount()

      Specified by:
        `getAttributeCount` in interface `XMLStreamReader`

    - #### getAttributeName

          public QName getAttributeName(int index)

      Specified by:
        `getAttributeName` in interface `XMLStreamReader`

    - #### getAttributePrefix

          public java.lang.String getAttributePrefix(int index)

      Specified by:
        `getAttributePrefix` in interface `XMLStreamReader`

    - #### getAttributeNamespace

          public java.lang.String getAttributeNamespace(int index)

      Specified by:
        `getAttributeNamespace` in interface `XMLStreamReader`

    - #### getAttributeLocalName

          public java.lang.String getAttributeLocalName(int index)

      Specified by:
        `getAttributeLocalName` in interface `XMLStreamReader`

    - #### getAttributeType

          public java.lang.String getAttributeType(int index)

      Specified by:
        `getAttributeType` in interface `XMLStreamReader`

    - #### getAttributeValue

          public java.lang.String getAttributeValue(int index)

      Specified by:
        `getAttributeValue` in interface `XMLStreamReader`

    - #### isAttributeSpecified

          public boolean isAttributeSpecified(int index)

      Specified by:
        `isAttributeSpecified` in interface `XMLStreamReader`

    - #### getNamespaceCount

          public int getNamespaceCount()

      Specified by:
        `getNamespaceCount` in interface `XMLStreamReader`

    - #### getNamespacePrefix

          public java.lang.String getNamespacePrefix(int index)

      Specified by:
        `getNamespacePrefix` in interface `XMLStreamReader`

    - #### getNamespaceURI

          public java.lang.String getNamespaceURI(int index)

      Specified by:
        `getNamespaceURI` in interface `XMLStreamReader`

    - #### getEventType

          public int getEventType()

      Specified by:
        `getEventType` in interface `XMLStreamReader`

    - #### getText

          public java.lang.String getText()

      Specified by:
        `getText` in interface `XMLStreamReader`

    - #### getTextCharacters

          public int getTextCharacters(int sourceStart,
                              char[] target,
                              int targetStart,
                              int length)
                                throws XMLStreamException

      Specified by:
        `getTextCharacters` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### getTextCharacters

          public char[] getTextCharacters()

      Specified by:
        `getTextCharacters` in interface `XMLStreamReader`

    - #### getTextStart

          public int getTextStart()

      Specified by:
        `getTextStart` in interface `XMLStreamReader`

    - #### getTextLength

          public int getTextLength()

      Specified by:
        `getTextLength` in interface `XMLStreamReader`

    - #### getEncoding

          public java.lang.String getEncoding()

      Specified by:
        `getEncoding` in interface `XMLStreamReader`

    - #### hasText

          public boolean hasText()

      Specified by:
        `hasText` in interface `XMLStreamReader`

    - #### getLocation

          public Location getLocation()

      Specified by:
        `getLocation` in interface `XMLStreamReader`

    - #### getName

          public QName getName()

      Specified by:
        `getName` in interface `XMLStreamReader`

    - #### getLocalName

          public java.lang.String getLocalName()

      Specified by:
        `getLocalName` in interface `XMLStreamReader`

    - #### hasName

          public boolean hasName()

      Specified by:
        `hasName` in interface `XMLStreamReader`

    - #### getNamespaceURI

          public java.lang.String getNamespaceURI()

      Specified by:
        `getNamespaceURI` in interface `XMLStreamReader`

    - #### getPrefix

          public java.lang.String getPrefix()

      Specified by:
        `getPrefix` in interface `XMLStreamReader`

    - #### getVersion

          public java.lang.String getVersion()

      Specified by:
        `getVersion` in interface `XMLStreamReader`

    - #### isStandalone

          public boolean isStandalone()

      Specified by:
        `isStandalone` in interface `XMLStreamReader`

    - #### standaloneSet

          public boolean standaloneSet()

      Specified by:
        `standaloneSet` in interface `XMLStreamReader`

    - #### getCharacterEncodingScheme

          public java.lang.String getCharacterEncodingScheme()

      Specified by:
        `getCharacterEncodingScheme` in interface `XMLStreamReader`

    - #### getPITarget

          public java.lang.String getPITarget()

      Specified by:
        `getPITarget` in interface `XMLStreamReader`

    - #### getPIData

          public java.lang.String getPIData()

      Specified by:
        `getPIData` in interface `XMLStreamReader`

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String name)
                                       throws java.lang.IllegalArgumentException

      Specified by:
        `getProperty` in interface `XMLStreamReader`
      Throws:
        `java.lang.IllegalArgumentException`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.